| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Profile Class Reference
Core » General

An individual profile that will be processed by the Profiler. More...

`#include <OgreProfiler.h>`

Inheritance diagram for Ogre::Profile:
[legend]

## Public Member Functions
| Profile (const String &profileName, uint32 groupID=(uint32) OGREPROF_USER_DEFAULT)
| ~Profile ()

## Detailed Description

An individual profile that will be processed by the Profiler.

Remarks
  Use the macro OgreProfile(name) instead of instantiating this profile directly
  We use this Profile to allow scoping rules to signify the beginning and end of the profile. Use the Profiler singleton (through the macro OgreProfileBegin(name) and OgreProfileEnd(name)) directly if you want a profile to last outside of a scope (i.e. the main game loop).

Author
  Amit Mathew (amitmathew (at) yahoo (dot) com)

## Constructor & Destructor Documentation

## ◆ Profile()

Ogre::Profile::Profile | ( | const String & | profileName,
|  | uint32 | groupID = `(uint32) OGREPROF_USER_DEFAULT`
| ) |  |

## ◆ ~Profile()

Ogre::Profile::~Profile | ( |  | ) |

The documentation for this class was generated from the following file:

- OgreProfiler.h